Subject: bug#72359: treesit-node-at-point bug on vhdl-ts-mode after update to 0.22.6

From: Yuan Fu <[email-masked]>
Date: Mon, 2 Sep 2024 10:59:09 -0700

> On Aug 29, 2024, at 5:07 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> Cc: [email-masked]
>> From: Yuan Fu <[email-masked]>
>> Date: Tue, 27 Aug 2024 01:22:42 -0700
>> 
>> Thank you for your report, Gonzalo! And sorry for the delay. I properly looked into this today, and confirmed that this is a tree-sitter bug. I raised an issue here: https://github.com/tree-sitter/tree-sitter/issues/3555
>> 
>> Sadly, there’s not much we can do right now. There was another similar bug in tree-sitter, which I worked around by using another function. But now that “another function” is also broken, oh well :-(
> 
> Since this is not an Emacs bug, I'm closing it.

FYI tree-sitter devs have fixed the bug: https://github.com/tree-sitter/tree-sitter/issues/3555

Yuan